public class PositiveIntSet {
    private static final int INITIAL_CAPACITY = 10;

    private int[] members;
    private int size;

    public PositiveIntSet() {
        members = new int[INITIAL_CAPACITY];
        size = 0;
    }

    public String toString() {
        if (size == 0) {
            return "[]";
        } else {
            String result = "[" + members[0];
            for (int i = 1; i < size; i++) {
                result += ", " + members[i];
            }
            result += "]";
            return result;
        }
    }

    public int getSize() {
        return size;
    }

    public boolean isEmpty() {
        return size == 0;
    }

    public boolean contains(int num) {
        for (int i = 0; i < size; i++) {
            if (members[i] == num) {
                return true;
            }
        }
        return false;
    }

    public void add(int newNum) {
        if (!contains(newNum)) {
            if (size == members.length) {
                expand();
            }
            members[size] = newNum;
            size++;
        }
    }

    public void remove(int target) {
        if (contains(target)) {
            int index = 0;
            while (index < size && members[index] != target) {
                index++;
            }
            for (int i = index; i< size; i++) {
                members[i] = members[i + 1];
            }
            size--;
        }
    }

    private void expand() {
        int[] newMembers = new int[members.length * 2];
        for (int i = 0; i < members.length; i++) {
            newMembers[i] = members[i];
        }
        members = newMembers;
    }
}
